org.keycloak.vault

## Class FilesPlainTextVaultProviderFactory

- java.lang.Object
- - org.keycloak.vault.AbstractVaultProviderFactory
  - - org.keycloak.vault.FilesPlainTextVaultProviderFactory

- All Implemented Interfaces:
    ProviderFactory<VaultProvider>, VaultProviderFactory

      public class FilesPlainTextVaultProviderFactory
      extends AbstractVaultProviderFactory

  Creates and configures `FilesPlainTextVaultProvider`.
  Author:
    Sebastian Łaskawiec

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.vault.AbstractVaultProviderFactory

      `AbstractVaultProviderFactory.AvailableResolvers`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.vault.AbstractVaultProviderFactory

      `KEY_RESOLVERS, keyResolvers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilesPlainTextVaultProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `VaultProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class org.keycloak.vault.AbstractVaultProviderFactory

      `getFactoryResolver, getRealmName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FilesPlainTextVaultProviderFactory

          public FilesPlainTextVaultProviderFactory()

  - ### Method Detail

    - #### create

          public VaultProvider create(KeycloakSession session)

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<VaultProvider>`
      Overrides:
        `init` in class `AbstractVaultProviderFactory`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.

    - #### getId

          public String getId()

Copyright © 2021 JBoss by Red Hat. All rights reserved.